> For the complete documentation index, see [llms.txt](https://developers.socialboards.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.socialboards.com/docs/apis/tickets/reference/objects/category.md).

# Category

#### **Example**

```json
{
    "autoArchive": false,
    "canBeChosen": true,
    "isHidden": false,
    "isMuted": false,
    "parentId": null,
    "id": 15597,
    "name": "Customers"
}
```

#### Fields

| Field       | Type             | Comments                                                                                                                  |
| ----------- | ---------------- | ------------------------------------------------------------------------------------------------------------------------- |
| autoArchive | boolean          | If `true` ticket with such category will be automatically archived after creation                                         |
| canBeChosen | boolean          | If `true` ticket with such category can be created. If `false` client should choose one of subcategories to create ticket |
| id          | integer          | Unique Id of category                                                                                                     |
| isHidden    | boolean          | If `true` category should be hidden from public ticket forms                                                              |
| isMuted     | boolean          | If `true` ticket with such category will not generate email, browser or other notification after creation                 |
| name        | string           | Name of the category                                                                                                      |
| parentId    | nullable integer | Id parent category. Value is set to `null` for root categories                                                            |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.socialboards.com/docs/apis/tickets/reference/objects/category.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
